## linux-firmware-nvidia-tegra 36.4.0-20240912212859

=== debian/changelog ===
linux-firmware-nvidia-tegra (36.4.0-20240912212859-0ubuntu1~24.04) noble; urgency=medium

  * No change upload to noble for hardware enablement; LP: #2086716.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 13 Nov 2024 15:59:46 +0000

linux-firmware-nvidia-tegra (36.4.0-20240912212859-0ubuntu1) plucky; urgency=medium

  * Initial release. (LP: #2085463)

 -- Remy Martin <remy.martin@canonical.com>  Fri, 25 Oct 2024 16:02:42 +0000
