## linux-firmware-nvidia-tegra 36.4.3-20250107174145

=== debian/changelog ===
linux-firmware-nvidia-tegra (36.4.3-20250107174145-0ubuntu1) plucky; urgency=medium

  * New Nvidia Jetson firmware release v36.4.3 (Jetpack 6.2). (LP: #2095032)
  * Update field Standards-Version in d/control to latest 4.7.0.
  * Update d/install to make package conform to DEP-17 (/usr-merge).
  * Add Rules-Requires-Root field in d/control.

 -- Remy Martin <remy.martin@canonical.com>  Fri, 17 Jan 2025 14:09:28 +0000
