## linux-firmware-nvidia-tegra 38.2.2-20250925153837

=== debian/changelog ===
linux-firmware-nvidia-tegra (38.2.2-20250925153837-0ubuntu3) resolute; urgency=medium

  * New Nvidia Jetson firmware release v38.2.2
  * Add firmware files for Thor, notably display and bluetooth (LP: #2127473)
  * Update paths to generate orig-tarball from nvidia-l4t-firmware
  * Update dl-jetson-linux-pkg to work on r38 releases

 -- Sebastian Weyer <sebastian.weyer@canonical.com>  Fri, 10 Oct 2025 10:38:39 +0000
