=== debian/control ===
# SPDX-FileCopyrightText: 2024 Canonical Ltd.
# SPDX-License-Identifier: GPL-3.0-only
Source: linux-firmware-nvidia-tegra
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://docs.nvidia.com/jetson/index.html

Package: linux-firmware-nvidia-tegra
Architecture: arm64
Depends: ${misc:Depends}
Description: Firwmare files for NVIDIA Tegra devices
 This package contains proprietary firmware extracted from the
 nvidia-l4t-firmware package and needed for all hardware to work on
 NVIDIA Tegra devices.
 .
 This package is currently only validated on the Orin family of devices.
