=== debian/rules ===
--- 
+++ 
@@ -71,8 +71,8 @@
 	    lib/systemd/system/bluetooth.service.d/nv-bluetooth-service.conf \
 	    usr/sbin/brcm_patchram_plus \
 	    usr/share/doc/bluez/copyright.compliant.gz \
-	    usr/share/doc/nvidia-tegra/LICENSE.brcm_patchram_plus.gz \
-	    usr/share/doc/nvidia-tegra/LICENSE.cypress_wifibt.gz \
+	    usr/share/doc/nvidia-l4t-firmware/LICENSE.brcm_patchram_plus.gz \
+	    usr/share/doc/nvidia-l4t-firmware/LICENSE.cypress_wifibt.gz \
 	    ; do \
 	    rm -rf $$path; \
 	done
@@ -85,7 +85,7 @@
 	    rm -rf $$path; \
 	done
 	# licensing for absent libnvdla_*.so files
-	rm -f $(ORIG_DIR)/usr/share/doc/nvidia-tegra/LICENSE.nvdla.gz
+	rm -f $(ORIG_DIR)/usr/share/doc/nvidia-l4t-firmware/LICENSE.nvdla.gz
 	# firmware for NVIDIA accelerators on older Tegra platforms (e.g.
 	# Xavier) including iGPU
 	cd $(ORIG_DIR) && for path in \
@@ -100,9 +100,10 @@
 	# move licensing information to the top-level and use more useful names
 	cd $(ORIG_DIR) && \
 	    mv usr/share/doc/nvidia-l4t-firmware/copyright copyright.nvidia; \
-	    mv usr/share/doc/nvidia-tegra/LICENSE.realtek_8822ce_wifibt.gz LICENSE.nvidia; \
-	    mv usr/share/doc/nvidia-tegra/NOTICE.nvpva-fw NOTICE.nvpva-fw; \
-	    :
+	    mv usr/share/doc/nvidia-l4t-firmware/LICENSE.realtek_8822ce_wifibt.gz LICENSE.nvidia; \
+	    mv usr/share/doc/nvidia-l4t-firmware/NOTICE.nvpva-fw NOTICE.nvpva-fw; \
+	    mv ./usr/share/doc/nvidia-l4t-firmware/LICENSE.rtlwifi_firmware LICENSE.rtlwifi_firmware \
+	    ;
 	# remove any empty directories (e.g. result from removing all files)
 	find $(ORIG_DIR) -type d -empty -delete
 	# remove executable bits on data files
