=== debian/watch ===
version=4
https://repo.download.nvidia.com/jetson .*/jetson/t234/pool/main/n/nvidia-l4t-firmware/nvidia-l4t-firmware_(.+)_arm64\.deb
